<html>
<title>第九例 HtmlInputCheckBox和HtmlInputFile控件使用</title>
 <head>
 
    <script language="C#" runat="server">
 
       void Button1_Click(object Source, EventArgs e) 
       {
 	if (Check1.Checked == true) 
//判断是否HtmlInputCheck被选中
          {
		
          if (Text1.Value == "") 
          	{
             Span1.InnerHtml = "错误：你必须键入一个文件名";
             return;
         	 }
 	if (File1.PostedFile != null) 
          {
             try
             {
                File1.PostedFile.SaveAs("c:\\temp\\"+Text1.Value);
//如果上传成功，显示成功信息
                Span1.InnerHtml = "文件成功的上传到<b>c:\\temp\\" + 
                                  Text1.Value + "</b> Web服务器上";
             }
             catch (Exception exc) 
             {
                Span1.InnerHtml = "文件没有保存到<b>c:\\temp\\" + 
                                  Text1.Value + "</b><br>" + exc.ToString();
             }
          }
	    }
	if (Check1.Checked == false) 
//如果没有选中HtmlInputCheck，则不会返回文件上传信息
          {
		
          if (Text1.Value == "") 
          	{
                 return;
         	 }
	if (File1.PostedFile != null)
		{
              File1.PostedFile.SaveAs("c:\\temp\\"+Text1.Value);           
          }
	    } 	  	        
       }
 
    </script>
 
 </head>
 <body>
 
    <h3><font face="Verdana">第九例 HtmlInputCheckBox和HtmlInputFile控件使用</font></h3>
 
    <form enctype="multipart/form-data" runat="server">
 
       选择一个文件上传: 
       <input id="File1" 
              type="file" 
              runat="server">
 
       <p>
       保存文件名字 (不需要路径): 
       <input id="Text1" 
              type="text" 
              runat="server">
 
       <p>
       <span id=Span1 
             style="font: 8pt verdana;" 
             runat="server" />
 
       <p>
	<input id="Check1" type=checkbox runat="server" checked/> 
            显示文件上传信息 &nbsp;&nbsp;

       <input type=button 
              id="Button1" 
              value="Upload" 
              OnServerClick="Button1_Click" 
              runat="server">
 
    </form>
 
 </body>
 </html>